﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Controls;
using System.Globalization;
using System.Windows.Data;
using BizValidationSample.Entities;

namespace BizValidationSample
{
    public class CustomerObjectiveOrReasonValidationRule :  ValidationRule
    {
        public override ValidationResult Validate(object value, CultureInfo cultureInfo)
        {
            BindingGroup bindingGroup = value as BindingGroup;
            if (bindingGroup == null) return new ValidationResult(false, "CustomerObjectiveOrReasonValidationRule should only be used with a BindingGroup");
            if (bindingGroup.Items.Count == 1)
            {
                object item = bindingGroup.Items[0];
                ActivityEditorViewModel viewModel = item as ActivityEditorViewModel;
                if (viewModel != null && viewModel.Activity != null && !viewModel.Activity.CustomerObjectiveOrReasonEntered())
                    return new ValidationResult(false, "You must enter one of Customer, Objective, or Reason to a valid entry");
            }
            return ValidationResult.ValidResult;
        }
    }
}
