﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Diagnostics;

namespace BizValidationSample.Entities
{
    public interface IActivitiesRepository
    {
        List<Customer> Customers();
        List<Objective> Objectives();
        List<ActivityType> ActivityTypes();
        void Add(Activity activity);
    }
    public class ActivitiesRepository : IActivitiesRepository
    {

        #region IActivitiesRepository Members

        public List<Customer> Customers()
        {
            return new List<Customer>
            {
                new Customer { CustomerId = -1, Name = "N/A" },
                new Customer { CustomerId = 1, Name = "Fred Fox" },
                new Customer { CustomerId = 2, Name = "Mary Morris" },
                new Customer { CustomerId = 3, Name = "Brad Bilbo" }
            };
        }

        public List<Objective> Objectives()
        {
            return new List<Objective>
            {
                new Objective { ObjectiveId = -1, Name = "N/A"},
                new Objective { ObjectiveId = 1, Name = "Market Penetration" },
                new Objective { ObjectiveId = 2, Name = "Maintain infrastructure" }
            };
        }

        public List<ActivityType> ActivityTypes()
        {
            return new List<ActivityType>
            {
                new ActivityType { ActivityTypeId = 1, Name = "Install" },
                new ActivityType { ActivityTypeId = 2, Name = "Cold call" },
                new ActivityType { ActivityTypeId = 3, Name = "Equipment maintenance" }
            };
        }

        public void Add(Activity activity)
        {
            Debug.WriteLine("Activity saved");
        }

        #endregion
    }
}
