﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Controls;
using System.Text.RegularExpressions;
using System.Globalization;

namespace BizValidationSample
{
    public class InventoryValidationRule : ValidationRule
    {

        public override ValidationResult Validate(object value, CultureInfo cultureInfo)
        {
            if (InventoryPattern == null)
                return ValidationResult.ValidResult;
            if (value == null || string.IsNullOrWhiteSpace(value.ToString()))
                return ValidationResult.ValidResult;
            string[] pieces = value.ToString().Split(',');
            Regex m_RegEx = new Regex(InventoryPattern);
            foreach (string item in pieces)
            {
                Match match = m_RegEx.Match(item);
                if (match == null || match == Match.Empty)
                    return new ValidationResult(false, "Invalid input format");
            }
            return ValidationResult.ValidResult;
        }

        public string InventoryPattern { get; set; }

    }
}
